Subject: bug#73863: 30.0.91; Unexpected cursor movement with flymake-show-diagnostics-at-end-of-line

From: Stephen Berman <[email-masked]>
Date: Fri, 18 Oct 2024 21:25:51 +0200

On Fri, 18 Oct 2024 21:16:44 +0200 Stephen Berman via "Bug reports for GNU Emacs, the Swiss army knife of text editors" <[email-masked]> wrote:

> On Fri, 18 Oct 2024 21:31:58 +0300 Eli Zaretskii <[email-masked]> wrote:
>
>>> From: Romain Ouabdelkader <[email-masked]>
>>> Date: Fri, 18 Oct 2024 18:24:31 +0200
>>> Cc: [email-masked]
>>>
>>> I can reproduce using pyright, starting with emacs -Q:
>>
>> Thanks, but could you possibly reproduce without any additional
>> external packages, such as pyright?
>
> I can reproduce the problem using the pylsp server (I don't have pyright
> installed).  If this is a problem that occurs only with eglot when
> flymake displays diagnostics at the end of the line, is it even possible
> to avoid using an external LSP server (since IIUC managing such a server
> is what eglot is for and AFAIK no LSP servers are part of Emacs)?

Romain's latest followup, which I saw after posting my followup, answers
the question: eglot is not necessary, just flymake; I can also reproduce
the issue with his emacs-lisp-mode recipe.

Steve Berman